package com.smppw.core.trend.calc;


import com.smppw.common.pojo.dto.CompoundRet;
import com.smppw.common.pojo.dto.DateValue;
import com.smppw.core.trend.Trend;
import com.smppw.utils.IndicatorCalcUtil;

import java.util.List;

public class RetTrend extends Trend {

    @Override
    public List<CompoundRet> getCompoundRetTrend(List<DateValue> secNavList, List<CompoundRet> secRetList, List<CompoundRet> benchmarkRetList) {
        List<CompoundRet> retList = IndicatorCalcUtil.getRet(secNavList, null, null, null, true);
        return retList;
    }
}
